package com.alttd.webinterface;

import com.alttd.webinterface.bot.DiscordBotInstance;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class DiscordBot {

    public static void main(String[] args) {
        String discordToken = System.getProperty("DISCORD_TOKEN");
        if (discordToken == null) {
            log.error("Discord token not found, put it in the DISCORD_TOKEN environment variable");
            System.exit(1);
        }
        DiscordBotInstance discordBotInstance = new DiscordBotInstance();
        discordBotInstance.start(discordToken);
    }
}
